/**
 *
 * page-works-single.scss
 *
 */
/* ------------------------------------------------------------
 works-container
------------------------------------------------------------ */
.works-container {
	position: relative;
}

@media screen and (min-width: 1024px) {
	.works-container {
		padding: 10.2rem 0 17rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-container {
		padding: 18rem 0 11.4rem ;
	}
}

/* ------------------------------------------------------------
 works-article
------------------------------------------------------------ */
.works-article {
	position: relative;
	z-index: 10000;
}

.works-article__list {
	position: relative;
	z-index: 2;
}

@media screen and (min-width: 1024px) {
	.works-article__list {
		margin-top: 3.8rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-article__list {
		margin-top: 2.2rem ;
	}
}

/* ----------------------------------------
 works-item
---------------------------------------- */
.works-item {
	-webkit-filter: var(--shadow2);
	filter: var(--shadow2);
}

.works-item__inner {
	height: 100%;
	background-color: var(--color-bg);
}

@media screen and (min-width: 1024px) {
	.works-item__inner {
		--corner: 3.7rem ;
		padding: 2.2rem 2.5rem 5.4rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__inner {
		--corner: 2.6rem ;
		padding: 2.2rem 2rem 4.1rem ;
	}
}

/* ---------- works-item__figure ---------- */
.works-item__figure {
	aspect-ratio: 581 / 396;
	position: relative;
}

@media screen and (min-width: 1024px) {
	.works-item__figure {
		--corner: 2.3rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__figure {
		--corner: 1.4rem ;
	}
}

/* ---------- works-item__contents ---------- */
@media screen and (min-width: 1024px) {
	.works-item__contents {
		padding: 0 2.8rem ;
		margin-top: 4.7rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__contents {
		padding: 0 2rem ;
		margin-top: 2.2rem ;
	}
}

.works-item__num {
	display: flex;
	align-items: center;
}

@media screen and (min-width: 1024px) {
	.works-item__num {
		gap: 0.7rem ;
		margin-left: 0.2rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__num {
		gap: 0.6rem ;
	}
}

.works-item__num span {
	display: block;
	color: var(--pallet-red);
	font-family: var(--font-sans-serif);
	padding-top: 0.1px;
	padding-bottom: 0.1px;
	font-weight: 800;
	font-size: var(--font-size16);
	letter-spacing: -0.02em;
}

.works-item__num span::before, .works-item__num span::after {
	content: '';
	display: block;
	width: 0;
	height: 0;
	font-size: inherit;
}

.works-item__num span::before {
	margin-top: var(--font-sans-serif-top);
}

.works-item__num span::after {
	margin-bottom: var(--font-sans-serif-bottom);
}

.works-item__title {
	font-weight: 700;
}

@media screen and (min-width: 1024px) {
	.works-item__title {
		font-size: var(--font-size30);
		--line-height: 1.4;
		margin-top: 2rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__title {
		font-size: var(--font-size22);
		--line-height: 1.90909;
		margin-top: 1.6rem ;
	}
}

.works-item__term {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 0.3rem ;
}

@media screen and (min-width: 1024px) {
	.works-item__term {
		margin-top: 1.8rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__term {
		margin-top: 1.5rem ;
	}
}

.works-item__term span {
	display: block;
	border-radius: var(--radius-max);
	border: var(--solid-current);
	font-weight: 400;
}

@media screen and (min-width: 1024px) {
	.works-item__term span {
		font-size: var(--font-size10);
		padding: 0.3rem 1.5rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__term span {
		font-size: var(--font-size9);
		padding: 0.3rem 1.4rem ;
	}
}

@media screen and (min-width: 1024px) {
	.works-item__txt {
		margin-top: 2.7rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__txt {
		margin-top: 1.7rem ;
	}
}

.works-item__url {
	display: grid;
	gap: 0.5rem ;
}

@media screen and (min-width: 1024px) {
	.works-item__url {
		margin-top: 3rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-item__url {
		margin-top: 2rem ;
	}
}

/* ------------------------------------------------------------
 works-next
------------------------------------------------------------ */
@media screen and (min-width: 1024px) {
	.works-next {
		margin-top: 9.3rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-next {
		margin-top: 9.1rem ;
	}
}

.works-next__list {
	overflow: visible;
}

@media screen and (min-width: 1024px) {
	.works-next__list {
		margin-top: 3.4rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-next__list {
		margin-top: 2.6rem ;
	}
}

@media screen and (min-width: 1024px) {
	.works-next__list article {
		min-width: 23.5rem ;
		width: 23.5rem ;
		margin-left: 2.5rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-next__list article {
		min-width: 14.8rem ;
		width: 14.8rem ;
		margin-left: 1.6rem ;
	}
}

@media screen and (min-width: 1024px) {
	.works-next__list article:nth-of-type(2n-1) {
		margin-top: 4.1rem ;
	}
}

@media screen and (max-width: 1023px) {
	.works-next__list article:nth-of-type(2n-1) {
		margin-top: 2.6rem ;
	}
}
